VkSurfaceCapabilities2EXT Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkSurfaceCapabilities2EXT:
[legend]

## Data Fields

VkStructureType | sType
void * | pNext
uint32_t | minImageCount
uint32_t | maxImageCount
VkExtent2D | currentExtent
VkExtent2D | minImageExtent
VkExtent2D | maxImageExtent
uint32_t | maxImageArrayLayers
VkSurfaceTransformFlagsKHR | supportedTransforms
VkSurfaceTransformFlagBitsKHR | currentTransform
VkCompositeAlphaFlagsKHR | supportedCompositeAlpha
VkImageUsageFlags | supportedUsageFlags
VkSurfaceCounterFlagsEXT | supportedSurfaceCounters

## Detailed Description

Definition at line 5950 of file vulkan.h.

## Field Documentation

## currentExtent

VkExtent2D VkSurfaceCapabilities2EXT::currentExtent

Definition at line 5955 of file vulkan.h.

## currentTransform

VkSurfaceTransformFlagBitsKHR VkSurfaceCapabilities2EXT::currentTransform

Definition at line 5960 of file vulkan.h.

## maxImageArrayLayers

uint32_t VkSurfaceCapabilities2EXT::maxImageArrayLayers

Definition at line 5958 of file vulkan.h.

## maxImageCount

uint32_t VkSurfaceCapabilities2EXT::maxImageCount

Definition at line 5954 of file vulkan.h.

## maxImageExtent

VkExtent2D VkSurfaceCapabilities2EXT::maxImageExtent

Definition at line 5957 of file vulkan.h.

## minImageCount

uint32_t VkSurfaceCapabilities2EXT::minImageCount

Definition at line 5953 of file vulkan.h.

## minImageExtent

VkExtent2D VkSurfaceCapabilities2EXT::minImageExtent

Definition at line 5956 of file vulkan.h.

## pNext

void* VkSurfaceCapabilities2EXT::pNext

Definition at line 5952 of file vulkan.h.

## sType

VkStructureType VkSurfaceCapabilities2EXT::sType

Definition at line 5951 of file vulkan.h.

## supportedCompositeAlpha

VkCompositeAlphaFlagsKHR VkSurfaceCapabilities2EXT::supportedCompositeAlpha

Definition at line 5961 of file vulkan.h.

## supportedSurfaceCounters

VkSurfaceCounterFlagsEXT VkSurfaceCapabilities2EXT::supportedSurfaceCounters

Definition at line 5963 of file vulkan.h.

## supportedTransforms

VkSurfaceTransformFlagsKHR VkSurfaceCapabilities2EXT::supportedTransforms

Definition at line 5959 of file vulkan.h.

## supportedUsageFlags

VkImageUsageFlags VkSurfaceCapabilities2EXT::supportedUsageFlags

Definition at line 5962 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h